%global optflags %(echo %{optflags} | sed 's/-Wp,-D_GLIBCXX_ASSERTIONS / /')

%global commit 98855800837b5eeb7476c1efda6bd2b153864089
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:       Qt-based source measurement unit GUI for sigrok
Name:          smuview
Version:       0.0.5
Release:       3.20210817git%{shortcommit}%{?dist}
License:       GPLv3
Source:        https://github.com/knarfS/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch:         fix-nullptr.patch
URL:           https://github.com/knarfS/%{name}
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: pkgconfig(libsigrokcxx) pkgconfig(python)
BuildRequires: boost-devel qwt-qt5-devel
BuildRequires: cmake(Qt5) cmake(Qt5Svg)
BuildRequires: desktop-file-utils libappstream-glib

%description
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source signal analysis software suite that supports various
device types (such as logic analyzers, oscilloscopes, multimeters, and more).

SmuView is a Qt-based source measurement unit GUI for sigrok.

%prep
%autosetup -n %{name}-%{commit}

%build
%{cmake} .
%{cmake_build}
#%make_build

%install
#cmake --install .
%{cmake_install}
rm %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/smuview.png
desktop-file-validate %{buildroot}%{_datadir}/applications/org.sigrok.SmuView.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%files
%license COPYING
%doc README
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/applications/org.sigrok.SmuView.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/smuscript/*.py
%{_metainfodir}/org.sigrok.SmuView.appdata.xml

%changelog
* Sun Aug 1 2021 spike <spike@fedoraproject.org> 0.0.5-3.20210817git9885580
- Initial package
